Bug 1634370 (python2_removal_libemu) - libemu: Remove (sub)packages from Fedora 31+: python2-libemu
Summary: libemu: Remove (sub)packages from Fedora 31+: python2-libemu
Keywords:
Status: CLOSED ERRATA
Alias: python2_removal_libemu
Product: Fedora
Classification: Fedora
Component: libemu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rawhide_libdasm
Blocks: 1735088 epel8_dionaea PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-30 09:19 UTC by Miro Hrončok
Modified: 2019-10-29 16:49 UTC (History)
7 users (show)

Fixed In Version: libemu-0.2.0-12.20130410gitab48695.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 17:26:47 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-30 09:19:06 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of libemu were marked for removal:

 * python2-libemu

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-01-14 17:43:42 UTC
The removal seems nontrivial, there are Python related hacks, could you please take a look?

Comment 2 Miro Hrončok 2019-02-26 12:17:35 UTC
The beta freeze is at 2019-03-05. Are you responsive?

Comment 3 Miro Hrončok 2019-03-05 10:10:11 UTC
Consider this a nonresponsive BZ

This the first reminder. Are you responsive?

https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/

Comment 4 Michal Ambroz 2019-03-05 14:48:34 UTC
Hello,
as there is not working python3 binding for libemu, I would rather keep the python2 package for it.
Michal Ambroz

Comment 5 Miro Hrončok 2019-03-05 15:19:30 UTC
Thanks for reaching back. The general idea behind https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal is that we get rid of leaf packages.

python2-libemu is a leaf package, nothing in Fedora uses it. If we'd keep python2 packages around because they are not ported to python3 yet, we would never get rid of Python 2.

Is there an upstream plan for Python 3? If so we might keep it around for a while knowing it will be ported soon. However if there is no plan, I'd rather remove it.

Comment 6 Michal Ambroz 2019-03-05 16:56:59 UTC
Hello,
I understand you want to get rid of the leaf packages, but being leaf doesn't mean that nobody is not running related code to it.
as I said, if python2 is going to be in Fedora 30, personally I would rather for this time keep the python2 binding as well as I am using it.

Currently the libemu doesn't have python3 binding to switch to. 
I hope the upstream will come with python3 binding as the end-of-life of python2 is approaching.

Comment 7 Miro Hrončok 2019-03-05 17:01:23 UTC
We are after Fedora 30 beta freeze anyway, so i don't mind keeping it there. Yet this will eventually need to go away.

Comment 8 Miro Hrončok 2019-04-16 12:14:18 UTC
Hey, any update on the upstream situation?

Comment 9 Miro Hrončok 2019-05-11 23:44:22 UTC
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

1) What are the upstream plans/timelines regarding Python 3?

Comment 10 Miro Hrončok 2019-05-20 15:04:39 UTC
Could you please provide the requested information?

Comment 11 Miro Hrončok 2019-05-27 09:12:12 UTC
Could you please provide the requested information?

Comment 12 Miro Hrončok 2019-06-03 10:35:40 UTC
Could you please provide the requested information?

Comment 13 Miro Hrončok 2019-07-24 15:03:11 UTC
This package was retired.

Comment 14 Michal Ambroz 2019-10-14 22:14:45 UTC
I thought you were up to remove just the sub-package of the python2-libemu binding to libemu not whole libemu.
Now related build of dionaea is failing because of that.
Please can we get the libemu back?

Michal Ambroz

Comment 15 Miro Hrončok 2019-10-14 22:40:01 UTC
libemu was retired 3 months ago because it was orphaned for 6+ weeks at the time. it was orphaned based on the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages after trying to get an answer since May.


I'm sorry, but I cannot just get libemu back, there https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package - this would require package re-review without python2.

Can provide a spec that builds libemu-devel without python2-libemu? If so, I'll gladly review it and help you get it back.

Comment 16 Michal Ambroz 2019-10-15 00:34:34 UTC
Hello

> Can provide a spec that builds libemu-devel without python2-libemu? If so, I'll gladly review it and help you get it back.
Sure - here it is building for rawhide - https://koji.fedoraproject.org/koji/taskinfo?taskID=38297118
Its simply having condition to build python2 only up till f30/rhel7 - no big deal about that.

I still do not have working python3 binding, but I keep trying.


> libemu was retired 3 months ago because it was orphaned for 6+ weeks at the time.
Yes .. sorry my fault - I thought we already have agreement on this bug report.

The libemu library is useful and AGAIN as with impacket - it has binary /usr/bin tools useful for analyzing binary shellcodes.
This time binary tools working even without the python2 binding. 

In my opinion it should not have become victim of the python2 witch-hunt in the first place.
Simple removing the subpackage python2-libemu would do what you wanted to do.

Instead you guys removed the package with tools and break other package depending on that without trying reaching me directly - congrats.

I guess you guys are missing the point that we packagers work on the packages as volunteers over nights next to the day-jobs, 
there is just so much free time I can spend as volunteer contributing to Fedora.

It is frustrating to me ending fixing the packages on one end and starting on the other end.
I believe this python2 witch-hunt really is not building the community. 
This is exactly reason why people are rather building their own separate repositories as for example https://forensics.cert.org/ rather than contributing directly back to Fedora.

Best regards
Michal Ambroz

Comment 17 Miro Hrončok 2019-10-15 09:05:08 UTC
> Simple removing the subpackage python2-libemu would do what you wanted to do.

I've asked for exactly that: https://bugzilla.redhat.com/show_bug.cgi?id=1634370#c1

> Instead you guys removed the package with tools and break other package depending on that without trying reaching me directly - congrats

No need to get sarcastic here, we've tried to reach you, you haven't responded, the package got orphaned, you haven't reasoned, the package got retired. I'm sorry that your Fedora time is limited, but there were months of no response.

We have a task to do and we are always open to communication and compromises. But when the other site remains silent for months, we must assume they are not interested. And when we remove a package, we are always glad to offer assistance bringing it back in case the maintainer actually responds, like it happened here.

If the Package maintainer responsibilities [1] are impossible to keep for volunteer contributors, I suggest you rise that concern on the devel mailing list.

The python2 "witch hunt" is a long term Fedora change approved by the Fedora Engineering Steering Committee, not my own whim.


Anyway, discussing this won't get us anywhere. If you want my help with bringing back libemu, please meet me half way and open a package review request with the package from  https://koji.fedoraproject.org/koji/taskinfo?taskID=38297118


[1] https://fedoraproject.org/wiki/Package_maintainer_responsibilities#Deal_with_reported_bugs_in_a_timely_manner

Comment 18 Michal Ambroz 2019-10-15 21:24:33 UTC
Package review request raised on https://bugzilla.redhat.com/show_bug.cgi?id=1762026

Comment 19 Fedora Update System 2019-10-16 21:36:57 UTC
FEDORA-2019-2f434e991d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f434e991d

Comment 20 Michal Ambroz 2019-10-17 05:35:48 UTC
Trying to get single libemu spec working for all suppoted platforms before recompiling the dionaea for f32/f31.

Comment 21 Miro Hrončok 2019-10-17 08:04:06 UTC
Sorry, I have only read your comment after I've already built dionaea for F32.

Comment 22 Fedora Update System 2019-10-17 15:30:29 UTC
libemu-0.2.0-12.20130410gitab48695.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f434e991d

Comment 23 Fedora Update System 2019-10-26 17:26:47 UTC
libemu-0.2.0-12.20130410gitab48695.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.